import { BrsValue, ValueKind, BrsString, BrsBoolean, Comparable } from "../BrsType";
import { BrsComponent } from "./BrsComponent";
import { BrsType } from "..";
export declare class RoPath extends BrsComponent implements BrsValue, Comparable {
    readonly kind = ValueKind.Object;
    private fullPath;
    private parsedPath;
    private parsedUrl;
    private valid;
    constructor(pathName: BrsString);
    setPath(pathName: string): URL;
    getParentPart(): string;
    toString(parent?: BrsType): string;
    getValue(): string;
    lessThan(other: BrsType): BrsBoolean;
    greaterThan(other: BrsType): BrsBoolean;
    equalTo(other: BrsType): BrsBoolean;
    concat(other: BrsType): BrsString;
    /** Modifies or changes the current path via the relative or absolute path passed as a string. */
    private readonly change;
    /** Checks whether the current path is valid; that is, if the path is correctly formed. */
    private readonly isValid;
    /** Returns an roAssociativeArray containing the significant elements of the path */
    private readonly split;
    /** Sets the path string . */
    private readonly setString;
    /** returns string with full path */
    private readonly getString;
}
